Next: putc, Previous: open_memstream, Up: Stdio

### 4.43 `perror`—print an error message on standard error

Synopsis

         #include <stdio.h>
         void perror(char *prefix);

         void _perror_r(struct _reent *reent, char *prefix);

Description
Use `perror` to print (on standard error) an error message corresponding to the current value of the global variable `errno`. Unless you use `NULL` as the value of the argument prefix, the error message will begin with the string at prefix, followed by a colon and a space (`:` ). The remainder of the error message is one of the strings described for `strerror`.

The alternate function `_perror_r` is a reentrant version. The extra argument reent is a pointer to a reentrancy structure.

Returns
`perror` returns no result.

Portability
ANSI C requires `perror`, but the strings issued vary from one implementation to another.

Supporting OS subroutines required: `close`, `fstat`, `isatty`, `lseek`, `read`, `sbrk`, `write`.